
QGIS Application - Feature request #13697

Add "Refresh materialized view" action in DB Manager

2015-10-28 08:13 AM - Nicolas Boisteault

Status: Closed

Priority: Normal

Assignee: Sebastian Dietrich

Category: DB Manager

Pull Request or Patch supplied:Yes Resolution:

Easy fix?: No Copied to github as #: 21726

Description

An item "Refresh materialized view" in the Table menu in the DB Manager would be handy.

Related issues:

Related to QGIS Application - Bug report # 13829: DB Manager - "Materialized ... Closed 2015-11-14

Associated revisions

Revision c5308754 - 2016-05-14 12:41 AM - Sebastian Dietrich 

[DbManager] allow to refresh materialized views

(fixes #13697)

History

#1 - 2015-11-14 03:30 AM - Paul Kanelli

A refresh option for materialized views in the QGIS layer panel might be helpful, too.

#2 - 2015-11-14 10:07 AM - Médéric RIBREUX

- Category set to DB Manager

Hello,

is it for an Oracle DB or a postgreSQL one ?

#3 - 2015-11-16 02:14 AM - Nicolas Boisteault

Hi,

A postgreSQL one. Thank you.

#4 - 2016-01-22 12:29 PM - Sebastian Dietrich

- Assignee set to Sebastian Dietrich

- Status changed from Open to In Progress

#5 - 2016-01-22 03:29 PM - Sebastian Dietrich

- % Done changed from 0 to 100

- Pull Request or Patch supplied changed from No to Yes
For a solution see PR 2714.

#6 - 2016-01-27 01:00 PM - Sebastian Dietrich

- Target version set to Future Release - High Priority

Postponed until after the feature freeze of 2.14.

#7 - 2016-05-13 03:44 PM - Anonymous

- Status changed from In Progress to Closed

Fixed in changeset commit:"c5308754ebb2cd7eb4e9ae344cd00e9f1e0dfd89".
https://github.com/qgis/QGIS/pull/2714

